#!/bin/sh
echo ""
opkg update
opkg install libgmp10 --force-reinstall --force-overwrite --force-depends
tar xzvpf python-certifi.tar.gz -C /
tar xzvpf python-pysocks.tar.gz -C /
tar xzvpf python-urllib3.tar.gz -C /
opkg install python-argparse --force-reinstall --force-overwrite --force-depends
opkg install python-compression --force-reinstall --force-overwrite --force-depends
opkg install python-email --force-reinstall --force-overwrite --force-depends
opkg install python-html --force-reinstall --force-overwrite --force-depends
opkg install python-imaging --force-reinstall --force-overwrite --force-depends
opkg install python-js2py --force-reinstall --force-overwrite --force-depends
opkg install python-json --force-reinstall --force-overwrite --force-depends
opkg install python-mechanize --force-reinstall --force-overwrite --force-depends
opkg install python-misc --force-reinstall --force-overwrite --force-depends
tar xzvpf python-ndg-httpsclient.tar.gz -C /
opkg install python-netclient --force-reinstall --force-overwrite --force-depends
opkg install python-numbers --force-reinstall --force-overwrite --force-depends
opkg install python-pkgutil --force-reinstall --force-overwrite --force-depends
opkg install python-pprint --force-reinstall --force-overwrite --force-depends
opkg install python-pyasn1 --force-reinstall --force-overwrite --force-depends
opkg install python-pycrypto --force-reinstall --force-overwrite --force-depends
opkg install python-pyopenssl --force-reinstall --force-overwrite --force-depends
opkg install python-requests --force-reinstall --force-overwrite --force-depends
opkg install python-six --force-reinstall --force-overwrite --force-depends
opkg install python-textutils --force-reinstall --force-overwrite --force-depends
opkg install python-twisted-core --force-reinstall --force-overwrite --force-depends
opkg install python-twisted-web --force-reinstall --force-overwrite --force-depends
opkg install python-xml --force-reinstall --force-overwrite --force-depends
opkg install python-pyexecjs --force-reinstall --force-overwrite --force-depends
tar xzvpf f4mdump.tar.gz -C /
opkg install rtmpdump --force-reinstall --force-overwrite --force-depends
tar xzvpf duktape.tar.gz -C /
tar xzvpf wget.tar.gz -C /
sleep 1
cp /usr/bin/wget.wget /usr/bin/fullwget
if [ -f /tmp/components*.ipk ] ; then
    opkg install /tmp/components*.ipk --force-reinstall --force-overwrite
fi
if [ -f /tmp/enigma2-plugin-extensions-russianmediapark*.ipk ] ; then
    opkg install /tmp/enigma2-plugin-extensions-russianmediapark*.ipk --force-reinstall --force-overwrite
fi
echo ""
echo ""
rm -f *.tar.gz
rm -f enigma2-plugin-extensions-russianmediapark*.ipk
rm -f components*.ipk
exit 0
